Subject: Re: bug#15099: 24.3.50; Box has no right border

From: "Fabrice Niessen" <[email-masked]>
Date: Sun, 18 Aug 2013 10:30:54 +0200

Eli Zaretskii wrote:
> merge 13134 15099
> thanks
>
>> From: "Fabrice Niessen" <[email-masked]>
>> Date: Thu, 15 Aug 2013 10:51:30 +0200
>> 
>> Here is a follow-up to bug #13134 (to which I can't reply anymore -- please
>> merge them)
>
> Why can't you reply to that bug?  What happens if you try?

I can't reply to it, because I don't see it anymore in Gnus (even when C-u / o
20000): it seems that, after some time, they disappear from the group?

And we can' reply to it from the Web interface, right?

>> with a minimal Emacs configuration file:
>> 
>> --8<---------------cut here---------------start------------->8---
>> (require 'org)
>> 
>> (setq org-ellipsis 'org-ellipsis) ;; face
>> 
>> (set-face-attribute 'org-ellipsis nil
>>                     :box '(:line-width 1 :color "#999999")
>>                     :foreground "#999999" :background "#FFF8C0")
>> --8<---------------cut here---------------end--------------->8---
>> 
>> Eval the above, and load any Org file. You'll get the following view:
>> 
>>     http://screencast.com/t/AqizjMBtDIoR
>
> Thanks for the test case.
>
> org-ellipsis works by setting up a display table with the ellipsis,
> and setting the 'box' attribute of the face it gives to each character
> of the ellipsis.  But Emacs did not until now support that attribute
> on anything but buffer text and display strings, nothing else was ever
> coded.  That is why you got partially drawn boxes.
>
> I fixed this for display tables in trunk revision 113890.
>
> As for the other problems you reported in bug #13134, I don't know if
> the fix I committed fixes them as well, as I don't have a clear idea
> where was the face with the box attribute set in those cases.  Please
> try, and if those problems still persist, please give similarly simple
> recipes to reproduce them.

I'll check as soon as Dani publishes a new version.

Thanks,
Fabrice